%global commitdate  20140108
%global commit      423fcb3b56be0536600aba02877426cbf60e61cb
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           docsis
Version:        0.9.6
# FIXME merge AdrianSimionov into upstream master
#Release:        1.%{commitdate}git%{shortcommit}%{?dist}
Release:        2.%{commitdate}git%{?dist}
Summary:        Encode a DOCSIS binary configuration file

License:        GPLv2+
URL:            http://docsis.sf.net
Source0:        https://github.com/AdrianSimionov/%{name}/archive/%{commit}.tar.gz#/%{name}-%{shortcommit}.tar.gz

# incorrect-fsf-address, https://github.com/rlaager/docsis/issues/8
Source10:       https://github.com/rlaager/%{name}/blob/616c1b7f3ca5dcce56b54420e15ed025b92fdcde/COPYING#/%{name}-COPYING-master
# Remove autotools-built files, https://github.com/rlaager/docsis/issues/9
Patch10:        https://github.com/rlaager/%{name}/commit/31632ebf3eb5804e234a2d8601b21126c1c98278.patch
#  Replace obsolete autotools macros, https://github.com/rlaager/docsis/issues/10
Patch11:        https://github.com/rlaager/%{name}/commit/5f2dfe75075b1022d97fa7b1c5dc75880c74ae35.patch

BuildRequires:  automake libtool 
BuildRequires:  bison bison-devel flex flex-devel
BuildRequires:  net-snmp-devel
BuildRequires:  glib2-devel
BuildRequires:  help2man


%description
This program encodes a DOCSIS binary configuration file
from a human-readable text configuration file. 


%prep
%setup -qn%{name}-%{commit}

# apply patches from master
cp -p %{SOURCE10} COPYING
%patch10 -p1
%patch11 -p1

# call configure in %build
sed -i s,.*/configure.*,, autogen.sh
sh autogen.sh


%build
%configure
# FIXME lexer does not work in parallel, https://github.com/rlaager/docsis/issues/7
#make %{?_smp_mflags}
make
# generate manpage
help2man src/%{name} --no-discard-stderr -o %{name}.1


%install
%make_install
mkdir -p %{buildroot}%{_mandir}/man1
cp -p %{name}.1 %{buildroot}%{_mandir}/man1


%check
pushd tests
# FIXME repair failing tests, https://github.com/rlaager/docsis/issues/9
rm docsis1_* docsis20*
sh RunTests.sh
popd


%files
%doc AUTHORS COPYING NEWS README.md TODO 
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.html
%{_datadir}/%{name}/examples/
%dir %{_datadir}/snmp/mibs
%{_datadir}/snmp/mibs/*-MIB
%{_datadir}/snmp/mibs/DIFFSERV-DSCP-TC
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Jan 08 2015 Raphael Groner <projects.rg [AT] smart.ms> - 0.9.6-2.20140108git
- apply master patches

* Thu Jan 08 2015 Raphael Groner <projects.rg [AT] smart.ms> - 0.9.6-1.20140107git423fcb3
- initial
